# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=texinfo
pkgver=6.8
pkgrel=1
pkgdesc="GNU documentation system for on-line information and printed output"
arch=('x86_64')
url="https://www.gnu.org/software/texinfo/"
license=('GPL3')
groups=('base')
depends=('glibc' 'ncurses')
makedepends=('bash' 'binutils' 'coreutils' 'gcc' 'gettext' 'grep' 'make' 'patch' 'sed')
source=(https://ftp.gnu.org/pub/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz)
sha256sums=(8eb753ed28bca21f8f56c1a180362aed789229bd62fff58bf8368e9beb59fec4)

build() {
    cd ${pkgname}-${pkgver}

    ${configure}

    sed -e 's/__attribute_nonnull__/__nonnull/' \
        -i gnulib/lib/malloc/dynarray-skeleton.c

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install

    make TEXMF=${pkgdir}/usr/share/texmf install-tex
}
